aboutsummaryrefslogtreecommitdiff
path: root/tests/export-graph.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2009-03-18 16:36:13 +0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2009-03-18 16:36:13 +0000
commite530e0a35041b3135b521f1b2dbc21fabfb00d47 (patch)
tree9ee355ae66a552b8b3382639b01faaa706ce4fdd /tests/export-graph.sh
parent9485ec31ea3b4ad9f2b31c350cd24f2fa6ec5484 (diff)
* Improve the test.
Diffstat (limited to 'tests/export-graph.sh')
-rw-r--r--tests/export-graph.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/tests/export-graph.sh b/tests/export-graph.sh
index 5cba57f99..607849a7c 100644
--- a/tests/export-graph.sh
+++ b/tests/export-graph.sh
@@ -4,23 +4,27 @@ clearStore
clearProfiles
checkRef() {
- nix-store -q --references ./result | grep -q "$1" || fail "missing reference $1"
+ $nixstore -q --references ./result | grep -q "$1" || fail "missing reference $1"
}
# Test the export of the runtime dependency graph.
outPath=$($nixbuild ./export-graph.nix -A runtimeGraph)
-test $(nix-store -q --references ./result | wc -l) = 2 || fail "bad nr of references"
+test $($nixstore -q --references ./result | wc -l) = 2 || fail "bad nr of references"
checkRef input-2
for i in $(cat $outPath); do checkRef $i; done
# Test the export of the build-time dependency graph.
+$nixstore --gc # should force rebuild of input-1
+
outPath=$($nixbuild ./export-graph.nix -A buildGraph)
checkRef input-1
+checkRef input-1.drv
checkRef input-2
+checkRef input-2.drv
for i in $(cat $outPath); do checkRef $i; done